org.bouncycastle.jce.provider.test

## Class AttrCertSelectorTest

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest
  - - org.bouncycastle.jce.provider.test.AttrCertSelectorTest

All Implemented Interfaces:
  Test

    public class AttrCertSelectorTest
    extends SimpleTest

### Constructor Summary

Constructors
Constructor and Description
`AttrCertSelectorTest()`

### Method Summary

Methods
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`void` `performTest()`
`void` `testSelector()`

### Methods inherited from class org.bouncycastle.util.test.SimpleTest

`areEqual, fail, fail, fail, perform, runTest, runTest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttrCertSelectorTest

    public AttrCertSelectorTest()

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Test`
Specified by:
  `getName` in class `SimpleTest`

#### testSelector

    public void testSelector()
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### performTest

    public void performTest()
                     throws java.lang.Exception

Specified by:
  `performTest` in class `SimpleTest`
Throws:
  `java.lang.Exception`

#### main

    public static void main(java.lang.String[] args)